Package: primitives

## [Java] Class short[][]

- primitives.short[][]

-     public class short[][]
      extends Object

  GDK enhancements for short[][].

  displayName:
    short[][]
  receiverFqcn:
    short[][]

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public List<Short>` | `flatten()` Flattens a 2D array into a new collection.
    `` | `public short` | `transpose()` A transpose method for 2D short arrays.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `addShutdownHook, any, any, asBoolean, asType, clamp, clamp, collect, collect, collect, dump, each, eachMatch, eachMatch, eachWithIndex, every, every, find, find, findAll, findAll, findIndexOf, findIndexOf, findIndexValues, findIndexValues, findLastIndexOf, findLastIndexOf, findResult, findResult, findResult, findResult, getAt, getMetaClass, getMetaPropertyValues, getProperties, grep, grep, hasProperty, identity, inject, inject, inject, inject, inspect, invokeMethod, is, isCase, isNotCase, iterator, metaClass, print, print, printf, printf, println, println, println, putAt, respondsTo, respondsTo, setMetaClass, sleep, sleep, split, sprintf, sprintf, stream, takeIf, tap, toString, use, use, use, with, with, withCloseable, withCloseable, withMethodClosure, withStream, withStream, withTraits`

- - ### Method Detail

    - #### public List<Short> flatten()

      Flattens a 2D array into a new collection. The items are copied row by row.

      Example usage:

           short[][] array = [[0, 1], [2, 3]]
           assert array.flatten() == [0, 1, 2, 3]

      Returns:
        a Collection of the array elements
      Since:
        5.0.0

    - #### public short transpose()

      A transpose method for 2D short arrays.

      Example usage:

           short[][] shorts = [[1, 10], [100, 1000]]
           short[][] expected = [[1, 100], [10, 1000]]
           def result = shorts.transpose()
           assert result == expected
           assert shorts.class.componentType == result.class.componentType

      Returns:
        the transposed 2D short array
      Since:
        5.0.0